Request Cancellation
curl --request POST \
--url https://api.coverwhale.dev/v1/submission/{displayId}/cancel-request \
--header 'AccessToken: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"effective_date_transaction": "03/01/2026",
"effective_date_transaction_al": "03/01/2026"
}
'import requests
url = "https://api.coverwhale.dev/v1/submission/{displayId}/cancel-request"
payload = {
"effective_date_transaction": "03/01/2026",
"effective_date_transaction_al": "03/01/2026"
}
headers = {
"AccessToken": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {AccessToken: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
effective_date_transaction: '03/01/2026',
effective_date_transaction_al: '03/01/2026'
})
};
fetch('https://api.coverwhale.dev/v1/submission/{displayId}/cancel-request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"submission_number": "<string>",
"transaction_id": 123,
"cancellation_status": "<string>"
}Policy Lifecycle
Request Cancellation
Creates a cancellation endorsement (first step of the cancellation workflow).
POST
/
submission
/
{displayId}
/
cancel-request
Request Cancellation
Authorizations
AWS Cognito access token obtained from the /authentication endpoint. Token expires after 3600 seconds.
Headers
Path Parameters
Submission display ID
Body
application/json